#pragma once

#include "camera.h"
#include "player.h"
#include "scene.h"

namespace kek::Engine {

int init();
int start();
void exit();

void setActiveScene(Scene *scene);
Scene *getActiveScene();
Player *getPlayer();
Camera *getActiveCamera();

}
